# Uses of Class
com.google.protobuf.UnknownFieldSet.Field

Packages that use UnknownFieldSet.Field
Package
Description
com.google.protobuf

## Uses of UnknownFieldSet.Field in com.google.protobuf

Methods in com.google.protobuf that return UnknownFieldSet.Field
Modifier and Type
Method
Description
`UnknownFieldSet.Field`
UnknownFieldSet.Field.Builder.`build()`
Build the field.
`static UnknownFieldSet.Field`
UnknownFieldSet.Field.`getDefaultInstance()`
Get an empty `Field`.
`UnknownFieldSet.Field`
UnknownFieldSet.`getField(int number)`
Get a field by number.
Methods in com.google.protobuf that return types with arguments of type UnknownFieldSet.Field
Modifier and Type
Method
Description
`Map<Integer,UnknownFieldSet.Field>`
UnknownFieldSet.`asMap()`
Get a map of fields in the set by number.
`Map<Integer,UnknownFieldSet.Field>`
UnknownFieldSet.Builder.`asMap()`
Get all present `Field`s as an immutable `Map`.
Methods in com.google.protobuf with parameters of type UnknownFieldSet.Field
Modifier and Type
Method
Description
`UnknownFieldSet.Builder`
UnknownFieldSet.Builder.`addField(int number, UnknownFieldSet.Field field)`
Add a field to the `UnknownFieldSet`.
`UnknownFieldSet.Builder`
UnknownFieldSet.Builder.`mergeField(int number, UnknownFieldSet.Field field)`
Add a field to the `UnknownFieldSet`.
`UnknownFieldSet.Field.Builder`
UnknownFieldSet.Field.Builder.`mergeFrom(UnknownFieldSet.Field other)`
Merge the values in `other` into this field.
`static UnknownFieldSet.Field.Builder`
UnknownFieldSet.Field.`newBuilder(UnknownFieldSet.Field copyFrom)`
Construct a new `UnknownFieldSet.Field.Builder` and initialize it to a copy of `copyFrom`.